Chromium Code Reviews
Help | Chromium Project | Sign in
(17)

Issue 2692903002: Don't show media controls when there is a persistent video. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 4 days ago by mlamouri
Modified:
6 days, 15 hours ago
CC:
agrieve+watch_chromium.org, asvitkine+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-html_chromium.org, chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, dglazkov+blink, eric.carlson_apple.com, feature-media-reviews_chromium.org, fs, gasubic, jam, kinuko+watch, nasko+codewatch_chromium.org, nessy, Srirama
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't show media controls when there is a persistent video. When a video becomes persistent, the WebContents is notified and will then update the preferences so Blink doesn't show the native controls. BUG=691619 Review-Url: https://codereview.chromium.org/2692903002 Cr-Commit-Position: refs/heads/master@{#451454} Committed: https://chromium.googlesource.com/chromium/src/+/5cd9ae8889c732428043460caa5d0fd8043041c1

Patch Set 1 #

Patch Set 2 : wip test #

Patch Set 3 : Rebase #

Patch Set 4 : cleanup and tests #

Total comments: 10

Patch Set 5 : tests and review comments #

Patch Set 6 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+200 lines, -16 lines) Patch
M content/browser/renderer_host/render_view_host_delegate.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host_delegate.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_android.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_android.cc View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.h View 1 2 3 4 5 4 chunks +10 lines, -0 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 3 4 5 4 chunks +29 lines, -13 lines 0 comments Download
M content/public/android/java/src/org/chromium/content/browser/webcontents/WebContentsImpl.java View 1 2 3 4 5 2 chunks +6 lines, -0 lines 0 comments Download
M content/public/android/java/src/org/chromium/content_public/browser/WebContents.java View 1 2 3 4 5 1 chunk +8 lines, -0 lines 0 comments Download
M content/public/common/common_param_traits_macros.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/web_preferences.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/web_preferences.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/media/controls/settings-disable-controls.html View 1 2 3 1 chunk +36 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/Settings.json5 View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/SettingsDelegate.h View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLMediaElement.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLMediaElement.cpp View 1 2 3 4 5 3 chunks +20 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/shadow/MediaControls.h View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/shadow/MediaControls.cpp View 1 2 3 4 5 1 chunk +10 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/html/shadow/MediaControlsTest.cpp View 1 2 3 4 1 chunk +16 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/page/Page.cpp View 1 2 3 4 5 1 chunk +10 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebSettingsImpl.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebSettingsImpl.cpp View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebSettings.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 50 (25 generated)
mlamouri
avayvod@, PTAL at the core logic jochen@, PTAL at uber-OWNER nasko@, PTAL at content/public/common/common_param_traits_macros.h Thank ...
1 week, 4 days ago (2017-02-13 19:01:46 UTC) #5
mlamouri
1 week, 4 days ago (2017-02-13 19:01:55 UTC) #7
whywhat
lgtm perhaps we could avoid adding the confusing persistent video term and use something like ...
1 week, 4 days ago (2017-02-13 19:28:50 UTC) #10
nasko (out until Feb 27th)
https://codereview.chromium.org/2692903002/diff/60001/content/browser/web_contents/web_contents_impl.h File content/browser/web_contents/web_contents_impl.h (right): https://codereview.chromium.org/2692903002/diff/60001/content/browser/web_contents/web_contents_impl.h#newcode1181 content/browser/web_contents/web_contents_impl.h:1181: // Notify the RenderViewHost that the preferences have changed. ...
1 week, 4 days ago (2017-02-13 22:28:43 UTC) #11
jochen (OOO until Mar 6)
deferring to nasko and waiting for green trybots
1 week, 3 days ago (2017-02-14 09:58:45 UTC) #12
mlamouri
Applied review comments. Fixed broken tests and added a unit test. PTAL :) https://codereview.chromium.org/2692903002/diff/60001/content/browser/renderer_host/render_view_host_delegate.h File ...
1 week, 3 days ago (2017-02-14 11:19:46 UTC) #14
jochen (OOO until Mar 6)
I can't approve the histograms.xml change (only use counter additions). What is a persistent video? ...
1 week, 2 days ago (2017-02-15 09:45:12 UTC) #15
jochen (OOO until Mar 6)
Mounir tells me that he'll add a test for navigating away once https://codereview.chromium.org/2698443004 landed. lgtm
1 week, 2 days ago (2017-02-15 13:18:20 UTC) #16
mlamouri
+isherman@ for histograms.xml
1 week, 2 days ago (2017-02-15 21:01:11 UTC) #18
Ilya Sherman
histograms.xml lgtm
1 week, 2 days ago (2017-02-15 23:34:34 UTC) #19
mlamouri
nasko@, I think your review is still needed for the IPC change :)
1 week ago (2017-02-17 09:36:53 UTC) #20
mlamouri
+mkwst@ in case of it can be done in EMEA TZ
1 week ago (2017-02-17 09:54:05 UTC) #22
Mike West (sloooooow)
Trivial IPC change LGTM.
1 week ago (2017-02-17 09:55:55 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/80001
1 week ago (2017-02-17 09:56:44 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/367042)
1 week ago (2017-02-17 11:34:42 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/80001
1 week ago (2017-02-17 11:35:57 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/367097)
1 week ago (2017-02-17 13:12:01 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/80001
1 week ago (2017-02-17 13:58:31 UTC) #34
commit-bot: I haz the power
Failed to apply patch for content/public/common/common_param_traits_macros.h: While running git apply --index -p1; error: patch failed: ...
1 week ago (2017-02-17 14:53:56 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/80001
1 week ago (2017-02-17 16:40:13 UTC) #38
commit-bot: I haz the power
Failed to apply patch for content/public/common/common_param_traits_macros.h: While running git apply --index -p1; error: patch failed: ...
1 week ago (2017-02-17 16:48:29 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/100001
1 week ago (2017-02-17 16:58:16 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/367234)
1 week ago (2017-02-17 19:01:57 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2692903002/100001
6 days, 16 hours ago (2017-02-18 09:23:48 UTC) #47
commit-bot: I haz the power
6 days, 15 hours ago (2017-02-18 11:05:58 UTC) #50
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/5cd9ae8889c732428043460caa5d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd